#!/bin/sh
##############################################################################
#
#  Copyright (c) 2005, Doremi Labs, Inc.
#    All rights reserved.
#
#  Redistribution in source or binary forms, with or without
#  modification, are NOT permitted.
#
#    Doremi Labs, Inc.
#    1020 Chestnut St.
#    Burbank, CA 91506
#    Tel : (818) 562 1101
#    Fax : (818) 562 1109
#
##############################################################################
### BEGIN INIT INFO
# Provides:          doremi-hotplug.d
# Required-Start:
# Required-Stop:
# Default-Start:     2
# Default-Stop:      0 6
# Short-Description: Run all start/stop script in /doremi/etc/hotplug.d/
# Description:
### END INIT INFO

. /doremi/etc/init.d/functions

case "$1" in
  start)
    run-parts --arg=start -- /doremi/etc/hotplug.d
    ;;
	
  stop)
    run-parts --reverse --arg=stop  -- /doremi/etc/hotplug.d
    ;;

  restart|force-reload)
    $0 stop
    $0 start
    ;;

  *)
    echo "Usage: $0 {start|stop|restart}"
    exit 1
esac

exit 0
